function [c] = fourier_interp(f, n)
%SCPROD Costruisce l'interpolante di Fourier di ordine n. 

% Sampling di [0, 2pi]
x = 2 * pi * (0 : 2*n) ./ (2*n+1);

% Costruisco le radici dell'unita'
xi = exp(1i * x);

% Valuto la versione polinomializzata della serie (troncata) di Laurent.
v = f(x) .* (xi.^(n));

% Interpolazione tramite la FFT
c = fft(v) ./ (2*n+1);

end

